Subject: South Florida residents: Spring Plant Affair April 8&9

From: [email-masked] (Debbie DeNeese)
Date: Tue, 21 Mar 1995 17:58:53 -1812

I called Holiday Park in Fort Lauderdale this AM and found out the date of
the big plant extravaganza--it's April 8 and 9, at Holiday Park (take I-95
to Sunrise Blvd., head east past Federal Highway...Holiday Park is on your
right just before NE 15th Avenue...)

See you all (and your large-capacity carrying vehicles <g>) there!

---------= http://inca.gate.net:80/~d_swartz/ =--------------
 Debbie DeNeese                     Email:  [email-masked]
 Neurodisc Records, Inc.            (finger for pgp public key)             
 450 N. Park Road  Suite 700             (305) 963-0555 [voice]
 Hollywood, FL   33021                   (305) 964-1117 [fax]